Index: uspace/lib/posix/src/stdlib/strtold.c
===================================================================
--- uspace/lib/posix/src/stdlib/strtold.c	(revision 1b20da07baaa3e3c424f62c927274e676e4295cd)
+++ uspace/lib/posix/src/stdlib/strtold.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
@@ -141,5 +141,5 @@
 		return mant;
 	}
-	
+
 	if (abs(exp) >> (MAX_POW5 + 1) != 0) {
 		/* Too large exponent. */
@@ -147,5 +147,5 @@
 		return exp < 0 ? LDBL_MIN : HUGE_VALL;
 	}
-	
+
 	if (exp < 0) {
 		exp = abs(exp);
@@ -175,5 +175,5 @@
 		}
 	}
-	
+
 	return mant;
 }
@@ -191,10 +191,10 @@
 		return mant;
 	}
-	
+
 	if (exp > LDBL_MAX_EXP || exp < LDBL_MIN_EXP) {
 		errno = ERANGE;
 		return exp < 0 ? LDBL_MIN : HUGE_VALL;
 	}
-	
+
 	if (exp < 0) {
 		exp = abs(exp);
@@ -220,5 +220,5 @@
 		}
 	}
-	
+
 	return mant;
 }
@@ -242,17 +242,17 @@
 	assert(sptr != NULL);
 	assert (*sptr != NULL);
-	
+
 	const int DEC_BASE = 10;
 	const char DECIMAL_POINT = '.';
 	const char EXPONENT_MARK = 'e';
-	
+
 	const char *str = *sptr;
 	long double significand = 0;
 	long exponent = 0;
-	
+
 	/* number of digits parsed so far */
 	int parsed_digits = 0;
 	bool after_decimal = false;
-	
+
 	while (isdigit(*str) || (!after_decimal && *str == DECIMAL_POINT)) {
 		if (*str == DECIMAL_POINT) {
@@ -261,5 +261,5 @@
 			continue;
 		}
-		
+
 		if (parsed_digits == 0 && *str == '0') {
 			/* Nothing, just skip leading zeros. */
@@ -270,20 +270,20 @@
 			exponent++;
 		}
-		
+
 		if (after_decimal) {
 			/* Decrement exponent if we are parsing the fractional part. */
 			exponent--;
 		}
-		
+
 		str++;
 	}
-	
+
 	/* exponent */
 	if (tolower(*str) == EXPONENT_MARK) {
 		str++;
-		
+
 		/* Returns MIN/MAX value on error, which is ok. */
 		long exp = strtol(str, (char **) &str, DEC_BASE);
-		
+
 		if (exponent > 0 && exp > LONG_MAX - exponent) {
 			exponent = LONG_MAX;
@@ -294,7 +294,7 @@
 		}
 	}
-	
+
 	*sptr = str;
-	
+
 	/* Return multiplied by a power of ten. */
 	return mul_pow2(mul_pow5(significand, exponent), exponent);
@@ -330,18 +330,18 @@
 {
 	assert(sptr != NULL && *sptr != NULL);
-	
+
 	const int DEC_BASE = 10;
 	const int HEX_BASE = 16;
 	const char DECIMAL_POINT = '.';
 	const char EXPONENT_MARK = 'p';
-	
+
 	const char *str = *sptr;
 	long double significand = 0;
 	long exponent = 0;
-	
+
 	/* number of bits parsed so far */
 	int parsed_bits = 0;
 	bool after_decimal = false;
-	
+
 	while (isxdigit(*str) || (!after_decimal && *str == DECIMAL_POINT)) {
 		if (*str == DECIMAL_POINT) {
@@ -350,5 +350,5 @@
 			continue;
 		}
-		
+
 		if (parsed_bits == 0 && *str == '0') {
 			/* Nothing, just skip leading zeros. */
@@ -359,19 +359,19 @@
 			exponent += 4;
 		}
-		
+
 		if (after_decimal) {
 			exponent -= 4;
 		}
-		
+
 		str++;
 	}
-	
+
 	/* exponent */
 	if (tolower(*str) == EXPONENT_MARK) {
 		str++;
-		
+
 		/* Returns MIN/MAX value on error, which is ok. */
 		long exp = strtol(str, (char **) &str, DEC_BASE);
-		
+
 		if (exponent > 0 && exp > LONG_MAX - exponent) {
 			exponent = LONG_MAX;
@@ -382,7 +382,7 @@
 		}
 	}
-	
+
 	*sptr = str;
-	
+
 	/* Return multiplied by a power of two. */
 	return mul_pow2(significand, exponent);
@@ -407,17 +407,17 @@
 {
 	assert(nptr != NULL);
-	
+
 	const int RADIX = '.';
-	
+
 	/* minus sign */
 	bool negative = false;
 	/* current position in the string */
 	int i = 0;
-	
+
 	/* skip whitespace */
 	while (isspace(nptr[i])) {
 		i++;
 	}
-	
+
 	/* parse sign */
 	switch (nptr[i]) {
@@ -428,10 +428,10 @@
 		i++;
 	}
-	
+
 	/* check for NaN */
 	if (strncasecmp(&nptr[i], "nan", 3) == 0) {
 		// FIXME: return NaN
 		// TODO: handle the parenthesised case
-		
+
 		if (endptr != NULL) {
 			*endptr = (char *) nptr;
@@ -440,5 +440,5 @@
 		return 0;
 	}
-	
+
 	/* check for Infinity */
 	if (strncasecmp(&nptr[i], "inf", 3) == 0) {
@@ -447,5 +447,5 @@
 			i += 5;
 		}
-		
+
 		if (endptr != NULL) {
 			*endptr = (char *) &nptr[i];
@@ -459,5 +459,5 @@
 	    (nptr[i + 2] == RADIX && isxdigit(nptr[i + 3])))) {
 		i += 2;
-		
+
 		const char *ptr = &nptr[i];
 		/* this call sets errno if appropriate. */
@@ -468,5 +468,5 @@
 		return negative ? -result : result;
 	}
-	
+
 	/* check for a decimal number */
 	if (isdigit(nptr[i]) || (nptr[i] == RADIX && isdigit(nptr[i + 1]))) {
@@ -479,5 +479,5 @@
 		return negative ? -result : result;
 	}
-	
+
 	/* nothing to parse */
 	if (endptr != NULL) {
